Subject: Re: Bug#195: windows client ignores ssh port

From: Matthias Kauer <[email-masked]>
Date: Fri, 21 Jun 2013 23:53:37 +0800

Hi Gabriel,
I can't verify all your questions right now since I don't have access to 
this setup for a bit, but I'll try my best:

The VM is the server, I was essentially connecting from the host system 
to the guest system. I rerouted port 17022 in the advanced NAT settings 
(or port forwarding settings) of virtual box and I never actually 
changed the ssh port. [This setup worked with putty, but maybe I should 
verify if this is at the root of the problem]

About where I manipulate the port, I really think that was in the 
session profile and I probably never touched the global settings.
I'll try to verify that ASAP though.

Best,
Matthias

On 21/6/2013 4:40 PM, Mike Gabriel wrote:
> tag #195 moreinfo
> found #195 4.0.0.3
> thanks
>
> Hi Matthias,
>
> On Mo 29 Apr 2013 14:52:01 CEST Matthias Kauer wrote:
>
>> Package: X2Go Client
>> Version: 4.0.0.3 (Qt - 4.8.1)
>>
>> I want to use x2go over port 17022. For testing I therefore set
>> Virtualbox to forward 17022 -> 22 and entered 17022 as ssh port in the
>> x2goclient's config. After a while, a connection timeout window
>> appears detailing that 127.0.0.2:22 could not be reached. Having VBox
>> forward 22 -> 22 and entering 22 in x2goclient resolved this.
>>
>> Best,
>> Matthias
>>
>> I am using Win7 64bit Host, Vbox 4.2.12, Xubuntu 12.10 guest
>> matthias@matthias-VirtualBox:~$ uname -a
>> Linux matthias-VirtualBox 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25
>> 19:58:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
>
> thanks for your bug report.
>
> Please give us some feedback on the questions below:
>
>    o do you manipulate the SSH port in the global X2Go Client configuration
>      (Windows Registry folder ,,settings'')?
>    o or do you manipulate the SSH port in the session profile?
>    o (I presume a yes for first of the two questions above)
>
> Neither am I getting clean the setup you have.
>
>    o is the VBox VM your X2Go Server?
>    o or your X2Go Client?
>
> I hope to get your problem fixed with the next X2Go Client release, so a
> quick response is appreciated.
>
> Mike
>
>